/*
Copyright 2002-2008 Greg Kochanski. 
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.
You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

This program may be downloaded from http://www.sourceforge.org from the "speechresearch" project.
*/

/* #define _GNU_SOURCE */
#include <math.h>

/* #undef isnormal */

#include "gpkieee754_Linux.h"



double quiet_nan(long z)
{
	return NAN;
}


float quiet_nanf(long z)
{
	return NAN;
}



double infinity()
{
	return INFINITY;
}



float infinityf()
{
	return INFINITY;
}


/*
int isnormal(double x)
{
	return (fpclassify (x) == FP_NORMAL);
}
*/


#if 0
int finite(double x)
{
	return __finite(x);
}
#endif


#if 0
int finitef(float x)
{
	return __finitef(x);
}

int isnanf(float x)
{
	return __isnanf(x);
}

int isnan(double x)
{
	return __isnan(x);
}
#endif
